#!/bin/sh


(transcode --version) < /dev/null > /dev/null 2>&1 ||
{
    echo
    echo "You must have transcode installed to make avi files ."
    exit 1
}

if test -f Main-pict-000000000.ppm; then
    ls Main-pict-*.ppm>list
	file=`head -n1 list`
	dim=`head -n2 $file | tail -n1 | tr " " "x"` 
	transcode -i list -x imlist,null -g$dim -y xvid,null -o Main_movie.avi
	used="$used `ls Main-pict-*.ppm`"
else 
	echo "No files found for main display (The first file must be Main-pict-000000000.ppm)"
fi 

if test -f Sensors-pict-000000000.ppm; then
	ls Sensors-pict-*.ppm>list
	file=`head -n1 list`
	dim=`head -n2 $file | tail -n1 | tr " " "x"` 
	transcode -i list -x imlist,null -g$dim -y xvid,null -o Sensors_movie.avi
	used="$used `ls Sensors-pict-*.ppm`"
else 
	echo "No files found for Sensors display(The first file must be Sensors-pict-000000000.ppm) "
fi


for name in `ls Camera* | awk -F - '{print $2}'|uniq`
do
  ls Camera-$name-*.ppm>list
  file=`head -n1 list`
  dim=`head -n2 $file | tail -n1 | tr " " "x"` 
  transcode -i list -x imlist,null -g$dim -y xvid,null -o Camera_$name.avi
  used="$used `ls Camera-$name-*.ppm`"
done


if test -z "${used}"; 
then
	echo
	echo "No file transcoded"

else
	echo
	echo "Delete initial images files which have been transcoded ? (y/n) :"
	read delet
	
	if  [ $delet = "y" ]   
		then
		rm -fr $used
	fi
fi
rm -fr list



