#ifndef GEOMPRIMITIVFORM_H
#define GEOMPRIMITIVFORM_H

#include "GeomMath.h"
#include <string>
using namespace std;


namespace Geom {

  class  PrimitivForm
	{
	public:
	  virtual string type()=0;
	  virtual void Translate(Real _tx, Real _ty)=0;
	  virtual void Rotate(Real _cost, Real _sint, Real _centerx, Real _centery)=0;
	  virtual void Rotate(Real _theta, Real _centerx, Real _centery)=0;
	
	};
  
} // namespace Geom

#endif
