#ifndef BLACKBOX_EO_H
#define BLACKBOX_EO_H


#include "eoRN.h"
#include <eo>
#include "eoArchi.h"

//The blackbox for EO
class blackbox_EO//:public blackbox

{
 public:


  blackbox_EO() {}

  vector<Real> operator () (vector<Real> & _v)
	{
	vector<double> output;
	(*archi).calcul ( poids, _v, output);
	return output;
  }
  

  void update_weights (vector<double> & _weights)
  {
	poids= _weights;
  }

  void update_archi (eoArchi * _archi)
  {
	archi= _archi;
  }

  void update_epoch_archi ()
  {
	archi->erase_recurrent();
  }

 private:
  vector<double> poids;
  eoArchi * archi;
};
#endif
