#include "khepera_EO.h"

#ifndef DONT_USE_EO
khepera_EO::khepera_EO(string _namerobot, Controller * _controller_base, Real _radius) : khepera(_namerobot,_controller_base,_radius)
  { constructor=0;}

khepera_EO::khepera_EO(string _namerobot, Controller * _controller_base, Real _centerx, Real _centery, Real _direction, Real _radius) : khepera(_namerobot,_controller_base,_centerx,_centery,_direction,_radius)
  { constructor=0;}

khepera_EO::khepera_EO (string _namerobot, eoArchi * _archi, Controller * _controller_base, Real _radius) : khepera(_namerobot,_controller_base,_radius) {

	constructor=1; // we are in the case of a controller with a blackbox
	blackbox_robot_EO.update_archi (_archi);
	set_pos=false; //Set position at each new epoch is not activated
	
  };

khepera_EO::khepera_EO (string _namerobot, eoArchi * _archi, Controller * _controller_base, vector<position_robot> _vector_pos_robot, Real _radius) : khepera(_namerobot,_controller_base,_radius) {

	constructor=1; // we are in the case of a controller with a blackbox
	vector_pos_robot=_vector_pos_robot;
	blackbox_robot_EO.update_archi (_archi);
	random_start=false;
	set_pos=true; //Set position at each new epoch is activated
	step_epoch_MAX=vector_pos_robot.size();
	step_epoch=0;
	 
	};

  
string khepera_EO::type() 
  {
	return "khepera_EO";
	}

void khepera_EO::update_weights (vector<double> & _poids)
  {
	blackbox_robot_EO.update_weights(_poids);
  }

	 
		
khepera_EO::~khepera_EO() // destructor
  { //add here the destructors of the things that you added to your khepera

	
	// you NEVER need to modify the destructor beyond this point (it is a call to the destructor of khepera)
	Partial_self_destruct();
  }

#endif
