
#ifndef GEOMINTR2DLINBOX_H
#define GEOMINTR2DLINBOX_H

#include "GeomBox2.h"
#include "GeomLine2.h"
#include "GeomRay2.h"
#include "GeomSegment2.h"
#include "GeomIntr2DLinLin.h"

namespace Geom {

// TestIntersection Line / Box

MAGICFM bool TestIntersection(const Box2& _Box, const Line2& _Line);
MAGICFM bool TestIntersection(const Box2& _Box, const Ray2& _Ray);
MAGICFM bool TestIntersection(const Box2& _Box, const Segment2& _Segment);
MAGICFM bool FindIntersection(const Box2& _Box, const Segment2& _Segment,
							  int& nb_intersec, Vector2 intersec[4]);


 
//MAGICFM bool TestIntersection(const Circle2& _Circle, const Box2& _Box);

} //end namespace Geom

#endif
